Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_Connection_Handler Class Reference

Handles requests on a single connection. More...

`#include <SSLIOP_Connection_Handler.h>`

Inheritance diagram for TAO_SSLIOP_Connection_Handler:

[legend]
Collaboration diagram for TAO_SSLIOP_Connection_Handler:

[legend]
List of all members.

## Public Methods
| TAO_SSLIOP_Connection_Handler (ACE_Thread_Manager *t=0)
| TAO_SSLIOP_Connection_Handler (TAO_ORB_Core *orb_core, CORBA::Boolean flag, void *arg)
| ~TAO_SSLIOP_Connection_Handler (void)
| Destructor.
int | close (u_long=0)
int | add_transport_to_cache (void)
| Add ourselves to Cache.
int | process_listen_point_list (IIOP::ListenPointList &listen_list)
| Process the <listen_list>.
int | setup_ssl_state (TAO_SSLIOP_Current_Impl *&previous_current_impl, TAO_SSLIOP_Current_Impl *new_current_impl, CORBA::Boolean &setup_done)
void | teardown_ssl_state (TAO_SSLIOP_Current_Impl *previous_current_impl, CORBA::Boolean &setup_done)
| Teardown the SSL session state.
Connection Handler overloads
virtual int | open_handler (void *)
Event Handler overloads
virtual int | resume_handler (void)
virtual int | close_connection (void)
virtual int | handle_input (ACE_HANDLE)
virtual int | handle_output (ACE_HANDLE)
virtual int | handle_close (ACE_HANDLE, ACE_Reactor_Mask)
virtual int | handle_timeout (const ACE_Time_Value &current_time, const void *act=0)
virtual int | open (void *)
## Protected Methods
TAO_Connection Handler overloads
virtual int | release_os_resources (void)
virtual void | pos_io_hook (int &return_value)
## Protected Attributes
TAO_SSLIOP_Current_var | current_
## Private Attributes
TAO_IIOP_Properties * | tcp_properties_
| TCP configuration for this connection.

## Detailed Description

Handles requests on a single connection.

The Connection handler which is common for the Acceptor and the Connector

## Constructor & Destructor Documentation

TAO_SSLIOP_Connection_Handler::TAO_SSLIOP_Connection_Handler | ( | ACE_Thread_Manager * | t = 0 | ) |

TAO_SSLIOP_Connection_Handler::TAO_SSLIOP_Connection_Handler | ( | TAO_ORB_Core * | orb_core,
|  | CORBA::Boolean | flag,
|  | void * | arg
| ) |

| Constructor. <arg> parameter is used by the Acceptor to pass the protocol configuration properties for this connection.

TAO_SSLIOP_Connection_Handler::~TAO_SSLIOP_Connection_Handler | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_SSLIOP_Connection_Handler::add_transport_to_cache | ( | void |  | ) |

| Add ourselves to Cache.

int TAO_SSLIOP_Connection_Handler::close | ( | u_long | = 0 | ) | `[virtual]`

| Close called by the Acceptor or Connector when connection establishment fails. Reimplemented from ACE_Svc_Handler< ACE_SSL_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_SSLIOP_Connection_Handler::close_connection | ( | void |  | ) | `[virtual]`

| Implements TAO_Connection_Handler.

int TAO_SSLIOP_Connection_Handler::handle_close | ( | ACE_HANDLE | ,
|  | ACE_Reactor_Mask |
| ) | `[virtual]`

| Reimplemented from ACE_Svc_Handler< ACE_SSL_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_SSLIOP_Connection_Handler::handle_input | ( | ACE_HANDLE |  | ) | `[virtual]`

| Implements TAO_Connection_Handler.

int TAO_SSLIOP_Connection_Handler::handle_output | ( | ACE_HANDLE |  | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_SSLIOP_Connection_Handler::handle_timeout | ( | const ACE_Time_Value & | current_time,
|  | const void * | act = 0
| ) | `[virtual]`

| Reimplemented from ACE_Svc_Handler< ACE_SSL_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_SSLIOP_Connection_Handler::open | ( | void * |  | ) | `[virtual]`

| Reimplemented from ACE_Svc_Handler< ACE_SSL_SOCK_STREAM, ACE_NULL_SYNCH >.

int TAO_SSLIOP_Connection_Handler::open_handler | ( | void * |  | ) | `[virtual]`

| Implements TAO_Connection_Handler.

void TAO_SSLIOP_Connection_Handler::pos_io_hook | ( | int & | return_value | ) | `[protected, virtual]`

| Reimplemented from TAO_Connection_Handler.

int TAO_SSLIOP_Connection_Handler::process_listen_point_list | ( | IIOP::ListenPointList & | listen_list | ) |

| Process the <listen_list>.

int TAO_SSLIOP_Connection_Handler::release_os_resources | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Connection_Handler.

int TAO_SSLIOP_Connection_Handler::resume_handler | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_SSLIOP_Connection_Handler::setup_ssl_state | ( | TAO_SSLIOP_Current_Impl *& | previous_current_impl,
|  | TAO_SSLIOP_Current_Impl * | new_current_impl,
|  | CORBA::Boolean & | setup_done
| ) |

| Make the SSL session state available to the SSLIOP::Current object.

void TAO_SSLIOP_Connection_Handler::teardown_ssl_state | ( | TAO_SSLIOP_Current_Impl * | previous_current_impl,
|  | CORBA::Boolean & | setup_done
| ) |

| Teardown the SSL session state.

## Member Data Documentation

TAO_SSLIOP_Current_var TAO_SSLIOP_Connection_Handler::current_`[protected]`

| Reference to the SSLIOP::Current object (downcast to gain access to the low-level management methods).

TAO_IIOP_Properties* TAO_SSLIOP_Connection_Handler::tcp_properties_`[private]`

| TCP configuration for this connection.

The documentation for this class was generated from the following files:

- SSLIOP_Connection_Handler.h
- SSLIOP_Connection_Handler.cpp